## linux-manta 3.4.0-4.16

=== debian/changelog ===
linux-manta (3.4.0-4.16) saucy; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: allow mem= banks to be reset on the command line
    - LP: #1206835

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Aug 2013 09:52:09 -0600

linux-manta (3.4.0-4.15) saucy; urgency=low

  [ Colin Ian King ]

  * [Config] enable deadline I/O scheduler by default
    Testing shows that the deadline scheduler on the flash file system
    performs slightly better than CFQ.  It also consumes marginally less
    power.  So enable deadline by default.

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix apparmor module status for none root users
    - LP: #1199912

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 11 Jul 2013 07:48:50 -0600

linux-manta (3.4.0-4.14) saucy; urgency=low

  [ Tim Gardner ]

  * [Config] Harmonize NF, NETFILTER, IP_NF, and IP6_NF options

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 09 Jul 2013 13:12:47 -0600

linux-manta (3.4.0-4.13) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=y
    - LP: #1108082

  [ Tim Gardner ]

  * [Config] Enable more NF options
    - LP: #1199351

 -- Andy Whitcroft <apw@canonical.com>  Thu, 04 Jul 2013 17:24:41 +0100

linux-manta (3.4.0-4.12) saucy; urgency=low

  [ Andy Whitcroft ]

  * Revert "[Config] CONFIG_SECURITY_APPARMOR_BOOTPARAM_VALUE=0"

 -- Andy Whitcroft <apw@canonical.com>  Tue, 02 Jul 2013 16:11:25 +0100
