=== debian/changelog ===
linux-manta (3.4.0-4.17) saucy; urgency=low

  [ Upstream Kernel Changes ]

  * binder: search for receiving context pid in global namespace
    - LP: #1210149

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 08 Aug 2013 09:41:16 -0600
