## linux-manta 3.4.0-4.18

=== debian/changelog ===
linux-manta (3.4.0-4.18) saucy; urgency=low

  [ John Johansen ]

  * Revert "SAUCE: (no-up) apparmor: fix apparmor module status for none
    root users"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot

  [ Tim Gardner ]

  * SAUCE: ALSA: pcm: Add snd_printd_ratelimit()
    - LP: #1213136
  * SAUCE: ALSA: pcm: Use snd_printd_ratelimit()
    - LP: #1213136

  [ Upstream Kernel Changes ]

  * Revert "UBUNTU SAUCE: apparmor: 3.4 backport of apparmor3"

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 16 Aug 2013 09:21:34 -0600
